Subject: Re: [PATCH bpf] ip_tunnel: respect tunnel key's "flow_flags" in IP tunnels

From: Paul Chaignon <[email-masked]>
Date: Thu, 18 Aug 2022 15:32:09 +0200

On Thu, Aug 18, 2022 at 10:41:18AM +0300, Eyal Birger wrote:
> Commit 451ef36bd229 ("ip_tunnels: Add new flow flags field to ip_tunnel_key")
> added a "flow_flags" member to struct ip_tunnel_key which was later used by
> the commit in the fixes tag to avoid dropping packets with sources that
> aren't locally configured when set in bpf_set_tunnel_key().
> 
> VXLAN and GENEVE were made to respect this flag, ip tunnels like IPIP and GRE
> were not.
> 
> This commit fixes this omission by making ip_tunnel_init_flow() receive
> the flow flags from the tunnel key in the relevant collect_md paths.
> 
> Fixes: b8fff748521c ("bpf: Set flow flag to allow any source IP in bpf_tunnel_key")
> Signed-off-by: Eyal Birger <[email-masked]>
> ---
>  drivers/net/ethernet/mellanox/mlxsw/spectrum_span.c | 3 ++-
>  include/net/ip_tunnels.h                            | 4 +++-
>  net/ipv4/ip_gre.c                                   | 2 +-
>  net/ipv4/ip_tunnel.c                                | 7 ++++---
>  4 files changed, 10 insertions(+), 6 deletions(-)

Thanks for the fix!

Reviewed-by: Paul Chaignon <[email-masked]>